Skip navigation
Banner: If you have checked the All Downloads List and the Back Catalogue and still cant find what you want, put in a request in the Wanted Forum.

Kirisun PT-6500 Software Required

Post

Kirisun PT-6500 Software Required

Hi I need CPS software for a Kirisun pt-6500 I have version V3.31 and it wont work it doesn't read the radio I need an older version I have had this problem with Kirisuns before my firmware version is 6.05.07.02

Regards

2E0GRX
Back to the top

Post

you mean under  version 3.31:thumbs: 

R.G TWO-WAY RADIO Electronic & consultant
Back to the top

Post

Hi.  I am also in need of the CPS software for the Kirisun PT-6500.  I have the version 5.00 which works perfectly, but I have an older PT-6500 I am trying to program and get the following message:

The Current software edition don't match with MCU.  

How can I retrieve the current MCU version on this radio, or can someone help me with a software version before ver 5.00.

Regards
ZRHam
Back to the top
1 guest and 0 members have just viewed this.